[metadata]
name = bamboo-hep
description = A high-level HEP analysis library for ROOT::RDataFrame
long_description = file: README.md
long_description_content_type = text/markdown
url = https://gitlab.cern.ch/cp3-cms/bamboo
author = Pieter David
author_email = pieter.david@cern.ch
license = GPL-3.0-or-later
license_file = LICENSE
license_files = LICENSE
classifiers =
    Development Status :: 4 - Beta
    Intended Audience :: Developers
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)
    Operating System :: OS Independent
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Topic :: Scientific/Engineering :: Information Analysis
    Topic :: Scientific/Engineering :: Physics
    Topic :: Software Development :: Libraries :: Python Modules
keywords = ROOT, RDataFrame

[options]
install_requires =
    PyYAML
    numpy
    requests
python_requires = >=3.6
setup_requires =
    pytest-runner
tests_require =
    pytest

[options.entry_points]
console_scripts =
    bambooRun = bamboo.scripts.bambooRun:main
    makePUReWeightJSON = bamboo.scripts.makePUReWeightJSON:main
    bambooHTCondorResubmit = bamboo.batch_htcondor:resubmit_cli

[options.extras_require]
cms =
    correctionlib>=2.2.2
docs =
    sphinx
    sphinx-rtd-theme
    sphinxcontrib-jquery
interactive =
    IPython
torch =
    torch>=1.2.0
dask =
    distributed>=2022.8.1
    dask-jobqueue
    dask
spark =
    pyspark

[options.package_data]
bamboo = data/*

[bdist_wheel]
universal = 0

[aliases]
test = pytest

[build_sphinx]
source-dir = doc
build-dir = doc/build

[flake8]
max-line-length = 100
select = E,F,W,B,B950
ignore = E501,W503
